Informix Excalibur Text Search DataBlade Module System Requirements

Product documentation


Abstract

This document describes the operating system requirements for IBM® Informix® Excalibur Text Search DataBlade® Module.

Content

Last modified: 24 July 2014

Informix Excalibur Text Search DataBlade Module runs on most systems that have a UNIX, Linux, or Windows operating system.

Minimum disk space and memory requirements:

  • UNIX and Linux: 50 MB of disk space, 256 MB of memory and one CPU
  • Windows: 30 MB of disk space, 256 MB of memory and one CPU.

Many applications will require substantially larger systems. Your IBM sales team will work with you to optimize the hardware required for your application.

System requirements are listed by operating system (OS). In this document:

Platform: IBM AIX

Required hardware: IBM POWER (System p, System i, POWER Blades)

The following codes are used in this table:
F = 64-bit
U = 32-bit

Operating System Version Excalibur Text Search DataBlade module version Minimum Informix versions
AIX 5L 5.3 1.31.UC3 11.50.UC1
1.31.FC3 11.50.FC1
AIX 6.1 1.31.UC3 11.50.UC1
1.31.FC3 11.50.FC1
11.70.FC1
12.70.FC1
AIX 7.1 1.31.UC3 11.50.UC1
1.31.FC3 11.50.FC1
11.70.FC1
12.10.FC1


Platform: HP-UX (Itanium)

Required hardware: Itanium

The following code is used in this table:
F = 64-bit

Operating System Version Excalibur Text Search DataBlade module version Minimum Informix versions
HP-UX 11.23 1.31.FC3 11.50.FC1
HP-UX 11.31 1.31.FC3 11.50.FC1
11.70.FC1
12.10.FC1


Platform: HP-UX (PA-RISC)

Required hardware: PA-RISC

The following codes are used in this table:
F = 64-bit
H = 32-bit on HP PA-RISC 11.x and HP PA-RISC 11.x 64-bit

Operating System Version Excalibur Text Search DataBlade module version Minimum Informix versions
HP-UX 11.11 1.31.HC3 11.50.HC1
1.31.FC3 11.50.FC1
11.70.FC1
HP-UX 11.23 1.31.HC3 11.50.HC1
1.31.FC3 11.50.FC1
11.70.FC1
HP-UX 11.31 1.31.HC3 11.50.HC1
1.31.FC3 11.50.FC1
11.70.FC1


Platform: Linux Intel

Required hardware: Intel x86, Intel Itanium, Intel EM64T, AMD64

The filtering feature in Excalibur Text Search DataBlade requires libstdc++.so.5 and libgcc_s.so.1 for Intel x86 and x86_64. The required compat-libstdc++ RPM-packages must be installed to ensure that these libraries are available.

See the Informix Server System Requirements to find the required Base Kernel, Glibc, and Compiler versions.


The following codes are used in this table:

F = 64-bit
U = 32-bit
RHEL = RedHat Enterprise Linux

Operating System Version Excalibur Text Search DataBlade module version Minimum Informix versions
RHEL 4 1.31.UC3 11.50.UC1
1.31.FC3 11.50.FC1
RHEL 5 1.31.UC3 11.50.UC1
11.70.UC1
12.10.UC1
1.31.FC3 11.50.FC1
11.70.FC1
12.10.FC1
SuSE SLES 10 1.31.UC3 11.50.UC1
1.31.FC3 11.50.FC1
SuSE SLES 11 1.31.UC3 11.50.UC1
11.70.UC1
12.10.UC1
1.31.FC3 11.50.FC1
11.70.FC1
12.10.FC1
Asianux 2.0 1.31.UC3 11.50.UC1
1.31.FC3 11.50.FC1
Asianux 3.0 1.31.UC3 11.50.UC1
11.70.UC1
12.10.UC1
1.31.FC3 11.50.FC1
11.70.FC1
12.10.FC1
Debian 4.0 1.31.UC3 11.50.UC1
1.31.FC3 11.50.FC1
Ubuntu 6.06.1 LTS 1.31.UC3 11.50.UC1
1.31.FC3 11.50.FC1
Ubuntu 8.04 LTS 1.31.UC3 11.50.UC1
11.70.UC1
12.10.UC1
1.31.FC3 11.50.FC1
11.70.FC1
12.10.FC1


Platform: Linux - IBM POWER

Required hardware: IBM POWER (System p, System i, POWER Blades)

The filtering feature is not supported by Excalibur Text Search DataBlade module on the POWER platform.

The following codes are used in this table:
F = 64-bit
RHEL: RedHat Enterprise Linux

Operating System Version Excalibur Text Search DataBlade module version Minimum Informix versions
RHEL 4 1.31.UC3 11.50.UC1
1.31.FC3 11.50.FC1
RHEL 5 1.31.UC3 11.50.UC1
11.70.UC1
12.10.UC1
1.31.FC3 11.50.FC1
11.70.FC1
12.10.FC1
SuSE SLES 10 1.31.UC3 11.50.UC1
1.31.FC3 11.50.FC1
Asianux 2.0 1.31.UC3 11.50.UC1
1.31.FC3 11.50.FC1
Asianux 3.0 1.31.UC3 11.50.UC1
11.70.UC1
12.10.UC1
1.31.FC3 11.50.FC1
11.70.FC1
12.10.FC1


Platform: Solaris SPARC

Required hardware: SPARC

The following codes are used in this table:
F = 64-bit
U = 32-bit


Operating System Version Excalibur Text Search DataBlade module version Minimum Informix versions
Solaris 9 1.31.UC3 11.50.UC1
1.31.FC3 11.50.FC1
Solaris 10 1.31.UC3 11.50.UC1
1.31.FC3 11.50.FC1
11.70.FC1
12.10.FC1


Platform: Solaris x64

Required hardware: AMD AMD64, Intel EM64T

The following code is used in this table:
F = 64-bit

Operating System Version Excalibur Text Search DataBlade module version Minimum Informix versions
Solaris 10 1.31.FC3 11.50.FC1
11.70.FC1
12.10.FC1


Platform: Windows

Required hardware: Intel x86, x64 (AMD AMD64, Intel EM64T)

The following codes are used in this table:
T = 32-bit on Windows platforms
F = 64 bit on x64 (AMD AMD64, Intel EM64T)

Operating System Version Excalibur Text Search DataBlade module version Minimum Informix versions
Windows XP 1.31.TC3 11.50.TC1
11.70.TC1
12.10.TC1
1.31.FC3 11.50.FC1
11.70.FC1
12.10.FC1
Windows 2003 1.31.TC3 11.50.TC1
11.70.TC1
12.10.TC1
1.31.FC3 11.50.FC1
11.70.FC1
12.10.FC1
Windows 2008 1.31.TC3 11.50.UC7
11.70.FC1
12.10.FC1
1.31.FC3 11.50.FC7
11.70.FC1
12.10.FC1
Windows Vista 1.31.TC3 11.50.TC1
11.70.TC1
12.10.TC1
1.31.FC3 11.50.FC1
11.70.FC1
12.10.FC1
Windows 7 1.31.TC3 11.50.TC6
11.70.TC1
12.10.TC1
1.31.FC3 11.50.FC6
11.70.FC1
12.10.FC1

Related information

Recommended Fixes for Informix Server Products
Download Excalibur Text DataBlade
Informix Server System Requirements
Excalibur Text Search DataBlade Module User's Guide
Release and machine notes for Excalibur Text Search

Rate this page:

(0 users)Average rating

Document information


More support for:

Informix DataBlade modules
Informix Excalibur Text Search DataBlade Module

Software version:

1.3

Operating system(s):

AIX, HP-UX, Linux, Solaris, Windows

Reference #:

7017907

Modified date:

2011-06-07

Translate my page

Machine Translation

Content navigation